<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `groups` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr_group = mysql_fetch_array($result);
	else go(URL);
}
else go(URL);
				
$title = checkout($arr_group['name']).' :: '.lang('Администрация','Адміністрація');
require_once '../incfiles/head.php';
echo group_access($arr_group);

	if (in_array($user_id, explode("||", substr($arr_group['blacklist'], 1, -1)))) go(URL.'/groups/?id='.$id);

	echo '<div class="title">
	<a href="'.URL.'/groups/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Сообщество','Спільнота').'</a>
	<a href="'.URL.'/groups/users.php?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Участники','Учасники').' '.$arr_group['count_users'].'</a>
	<a class="title_a_hover" href="'.URL.'/groups/users_adm.php?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Администрация','Адміністрація').'</a>
	</div>
	<div class="block">'.user_name($arr_group['user_id']).'<ul><b>'.lang('Создатель','Творець').'</b></ul></div>';

if (!empty($arr_group['admins']))
{
	$q = explode("||", substr($arr_group['admins'], 1, -1));
	$count = (count($q)-1);
	for ($i = 0; $i < $count; $i++)
	{
		echo '<div class="block">'.user_name($q[$i]).'<ul><b>'.lang('Администратор','Адміністратор').'</b></ul></div>';
	}
}
if (!empty($arr_group['moders']))
{
	$q = explode("||", substr($arr_group['moders'], 1, -1));
	$count = count($q);
	for ($i = $start; $i < ($p*10) && $i < $count; $i++) if ($q[$i] != $arr_group['user_id']) echo '<div class="block">'.user_name($q[$i]).'<ul><b>'.(in_array($q[$i], explode("||", substr($arr_group['admins'], 1, -1)))?'<b>'.lang('Администратор','Адміністратор').'</b>':'<b>Модератор</b>').'</ul></div>';
}
require_once '../incfiles/foot.php';

?>